Re: Error on Ubuntu 10.04

Hi,

Tried bitcoind 0.3 on Ubuntu 10.04 and I get the following error when I run bincoind

05:23:02  IST: Debug: ../src/common/intl.cpp(2554): assert "!m_strShort.empty()" failed in AddCatalog(): must initialize catalog first
[Debug] Generating a stack trace... please wait../src/common/intl.cpp(2554): assert "!m_strShort.empty()" failed in AddCatalog(): must initialize catalog first

Call stack:
[00] 0x80ed73b
[01] 0x80ebf3e
[02] 0x80eca8a
[03] 0x80ed06a
[04] 0x8133e72
[05] 0x8133ddf
[06] 0x80e3942
[07] 0x80e7181

I get a similar error when running bitcoin UI but it has a continue handle and hence it works fine.

Can somebody tell me what this error means and how to go about resolving this?

What language is your computer set to?  Is it set to German, Dutch or Italian?  Is it one of those sub-languages like “nl-??”?

It’s trying to load a translation and failing.  You could delete the locale directory that came with bitcoin so it doesn’t try to use it.

Can someone test each language on Ubuntu and see if there’s a problem with just one of them or maybe all three?

25,965 total views, 22 views today

https://bitcointalk.org/index.php?topic=318.msg2903#msg2903